Tests
The situation at one turn of a stored conversation: the step, its instruction, the original reply
GET
/
v1
/
testbed
/
situation
The situation at one turn of a stored conversation: the step, its instruction, the original reply
curl --request GET \
--url https://api.sempera.org/v1/testbed/situation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sempera.org/v1/testbed/situation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sempera.org/v1/testbed/situation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"step": "<string>",
"turn": 123,
"situation": {
"script": [
"<string>"
],
"caller_phone": "<string>",
"seed": {
"history": [
{
"caller": "<string>",
"say": "<string>"
}
],
"collected": {}
}
},
"redacted": true,
"original": {
"say": "<string>",
"routed_to": "<string>",
"captured": [
"<string>"
]
},
"conversation_id": "<string>",
"current_prompt": "<string>",
"editable": true,
"object": "testbed_situation",
"agent_id": "<string>"
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}Authorizations
A workspace API key, sent as Authorization: Bearer sempera_sk_... Each operation names the one scope it needs. Scopes, key kinds and roles are in the Authentication guide.
Query Parameters
Required range:
x >= 0⌘I
The situation at one turn of a stored conversation: the step, its instruction, the original reply
curl --request GET \
--url https://api.sempera.org/v1/testbed/situation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sempera.org/v1/testbed/situation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sempera.org/v1/testbed/situation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"step": "<string>",
"turn": 123,
"situation": {
"script": [
"<string>"
],
"caller_phone": "<string>",
"seed": {
"history": [
{
"caller": "<string>",
"say": "<string>"
}
],
"collected": {}
}
},
"redacted": true,
"original": {
"say": "<string>",
"routed_to": "<string>",
"captured": [
"<string>"
]
},
"conversation_id": "<string>",
"current_prompt": "<string>",
"editable": true,
"object": "testbed_situation",
"agent_id": "<string>"
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}